| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::THM1176Types::sIdentifier Struct Reference

Instrument's identification string - parsed version. More...

`#include <THM1176Types.h>`

Collaboration diagram for MTL::Instrument::THM1176Types::sIdentifier:
[legend]

## Public Member Functions
| sIdentifier (std::string Mfr="", std::string Mdl="", U32 SN=0, struct sVersion EVsn={ }, struct sVersion PVsn={ }, struct sVersion FVsn={ }, eModelRevision ThmRev=kA, eInstrModel InstrMdl=eInstrModel::kUnknown)
| Constructor.
void | clear (void)
| Clear to default.
bool | operator== (sIdentifier other) const
| Equality oeprator.
bool | operator!= (sIdentifier other) const
| Inequality operator.

## Public Attributes
std::string | Manufacturer
| Manufacturer name ("Metrolab Technology SA").
std::string | Model
| Model name (e.g. "THM1176-MF").
U32 | SerialNumber = 0
| Serial number.
struct sVersion | ElectronicsVersion
| Version numbers of electronics.
struct sVersion | ProbeVersion
| Version numbers of probe.
struct sVersion | FirmwareVersion
| Version numbers of firmware.
enum eModelRevision | ModelRevision
| Revision of Model.
enum eInstrModel | InstrModel
| Enumerator of instrument model.

## Detailed Description

Instrument's identification string - parsed version.

Definition at line 352 of file THM1176Types.h.

## Constructor & Destructor Documentation

## ◆ sIdentifier()

MTL::Instrument::THM1176Types::sIdentifier::sIdentifier | ( | std::string | Mfr = "",
|  | std::string | Mdl = "",
|  | U32 | SN = 0,
|  | struct sVersion | EVsn = { },
|  | struct sVersion | PVsn = { },
|  | struct sVersion | FVsn = { },
|  | eModelRevision | ThmRev = kA,
|  | eInstrModel | InstrMdl = eInstrModel::kUnknown )
| inline

Constructor.

Parameters

  [in] | Mfr | Manufacturer name ("Metrolab Technology SA")
  [in] | Mdl | Model name (e.g. "THM1176-MF")
  [in] | SN | Serial number.
  [in] | EVsn | Version numbers of electronics.
  [in] | PVsn | Version numbers of probe.
  [in] | FVsn | Version numbers of firmware.
  [in] | ThmRev | Revision of THM model.
  [in] | InstrMdl | Enumeration of instrument model.

Definition at line 373 of file THM1176Types.h.

## Member Function Documentation

## ◆ clear()

void MTL::Instrument::THM1176Types::sIdentifier::clear | ( | void |  | ) |

Clear to default.

Definition at line 198 of file THM1176Types.cpp.

## ◆ operator!=()

bool MTL::Instrument::THM1176Types::sIdentifier::operator!= | ( | sIdentifier | other | ) | const

Inequality operator.

Definition at line 220 of file THM1176Types.cpp.

## ◆ operator==()

bool MTL::Instrument::THM1176Types::sIdentifier::operator== | ( | sIdentifier | other | ) | const

Equality oeprator.

Definition at line 209 of file THM1176Types.cpp.

## Member Data Documentation

## ◆ ElectronicsVersion

struct sVersion MTL::Instrument::THM1176Types::sIdentifier::ElectronicsVersion

Version numbers of electronics.

Definition at line 357 of file THM1176Types.h.

## ◆ FirmwareVersion

struct sVersion MTL::Instrument::THM1176Types::sIdentifier::FirmwareVersion

Version numbers of firmware.

Definition at line 359 of file THM1176Types.h.

## ◆ InstrModel

enum eInstrModel MTL::Instrument::THM1176Types::sIdentifier::InstrModel

Enumerator of instrument model.

Definition at line 361 of file THM1176Types.h.

## ◆ Manufacturer

std::string MTL::Instrument::THM1176Types::sIdentifier::Manufacturer

Manufacturer name ("Metrolab Technology SA").

Definition at line 354 of file THM1176Types.h.

## ◆ Model

std::string MTL::Instrument::THM1176Types::sIdentifier::Model

Model name (e.g. "THM1176-MF").

Definition at line 355 of file THM1176Types.h.

## ◆ ModelRevision

enum eModelRevision MTL::Instrument::THM1176Types::sIdentifier::ModelRevision

Revision of Model.

Definition at line 360 of file THM1176Types.h.

## ◆ ProbeVersion

struct sVersion MTL::Instrument::THM1176Types::sIdentifier::ProbeVersion

Version numbers of probe.

Definition at line 358 of file THM1176Types.h.

## ◆ SerialNumber

U32 MTL::Instrument::THM1176Types::sIdentifier::SerialNumber = 0

Serial number.

Definition at line 356 of file THM1176Types.h.

The documentation for this struct was generated from the following files:

- THM1176InstrumentDriver/include/THM1176Types.h
- THM1176InstrumentDriver/src/THM1176Types.cpp